
Infrastructure - Task #1860

Story # 1859 (Closed): Review and add missing ObjectFormat types listing

add DublinCore schemas to the list of acceptable ObjectFormats

2011-10-13 22:07 - Matthew Jones

Status: Closed Start date: 2011-10-13

Priority: Normal Due date:  

Assignee: Robert Waltz % Done: 100%

Category: d1_common_java Estimated time: 0.00 hour

Target version:    

Milestone: CCI-0.6.4 Story Points:  

Product Version: *   

Description

Dublin Core is a common metadata schema we should support.  Two specific Dublin Core schemas have been requested for

inclusion in the type format list:

http://dublincore.org/schemas/xmls/qdc/2008/02/11/simpledc.xsd

http://dublincore.org/schemas/xmls/qdc/2008/02/11/qualifieddc.xsd

These both import the DC elements from this schema:

http://dublincore.org/schemas/xmls/qdc/2008/02/11/dc.xsd

In this case, the URLs above should probably be used as the fmtid as they are commonly used as the namespaces for these

schemas.

History

#1 - 2011-10-13 22:23 - Robert Waltz

- Category changed from d1_schemas to d1_common_java

- Status changed from New to In Progress

- Assignee changed from Matthew Jones to Robert Waltz

- Target version set to Sprint-2011.41-Block.5

#2 - 2011-10-13 22:48 - Robert Waltz

- Status changed from In Progress to Closed

- Target version set to Sprint-2011.41-Block.5
